Skip to main content
GET
/
merchants
/
shipping-info
Merchant Shipping Info
curl --request GET \
  --url https://api.henrylabs.ai/v0/merchants/shipping-info \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "status": "<string>",
  "message": "<string>",
  "data": {
    "merchants": [
      {
        "id": "<string>",
        "name": "<string>",
        "domain": "<string>",
        "displayName": "Walmart Inc.",
        "freeShippingThreshold": 35,
        "shippingNotes": "Free shipping on orders over $35",
        "shippingTiers": [
          {
            "id": "<string>",
            "tierName": "<string>",
            "cost": 123,
            "estimatedDeliveryMinDays": 3,
            "estimatedDeliveryMaxDays": 7
          }
        ]
      }
    ],
    "totalCount": 123,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

domain
string

Merchant domain to filter by

merchantId
string<uuid>

Merchant ID to filter by

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
limit
integer
default:50

Number of items per page (1-100)

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: x >= 0

Response

Merchant shipping information retrieved successfully

success
boolean
required
Example:

true

status
string
required
Example:

"success"

message
string
required
Example:

"Merchant shipping information retrieved successfully"

data
object